Bug 975375 - AttributeError: 'DeviceFormat' object has no attribute 'label'
AttributeError: 'DeviceFormat' object has no attribute 'label'
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: anaconda (Show other bugs)
19
i686 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Brian Lane
Fedora Extras Quality Assurance
abrt_hash:a79963bf4a60ac95b91ff9883a6...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-06-18 05:57 EDT by Jan Sedlák
Modified: 2014-10-07 19:35 EDT (History)
7 users (show)

See Also:
Fixed In Version: anaconda-19.31.1-1
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-10-07 19:35:52 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: anaconda-tb (421.10 KB, text/plain)
2013-06-18 05:57 EDT, Jan Sedlák
no flags Details
File: anaconda.log (9.13 KB, text/plain)
2013-06-18 05:57 EDT, Jan Sedlák
no flags Details
File: backtrace (403 bytes, text/plain)
2013-06-18 05:57 EDT, Jan Sedlák
no flags Details
File: environ (520 bytes, text/plain)
2013-06-18 05:57 EDT, Jan Sedlák
no flags Details
File: ifcfg.log (392 bytes, text/plain)
2013-06-18 05:57 EDT, Jan Sedlák
no flags Details
File: ks.cfg (796 bytes, text/plain)
2013-06-18 05:58 EDT, Jan Sedlák
no flags Details
File: lsblk_output (1.44 KB, text/plain)
2013-06-18 05:58 EDT, Jan Sedlák
no flags Details
File: nmcli_dev_list (3.78 KB, text/plain)
2013-06-18 05:58 EDT, Jan Sedlák
no flags Details
File: packaging.log (15.73 KB, text/plain)
2013-06-18 05:58 EDT, Jan Sedlák
no flags Details
File: program.log (36.92 KB, text/plain)
2013-06-18 05:58 EDT, Jan Sedlák
no flags Details
File: storage.log (133.35 KB, text/plain)
2013-06-18 05:58 EDT, Jan Sedlák
no flags Details
File: syslog (83.63 KB, text/plain)
2013-06-18 05:58 EDT, Jan Sedlák
no flags Details

  None (edit)
Description Jan Sedlák 2013-06-18 05:57:33 EDT
Description of problem:
Tried to install Fedora 19 TC3 using kickstart file from http://mkrizek.fedorapeople.org/default.ks (only replaced vda with sda). It showed traceback on the main hub.
The following was filed automatically by anaconda:
anaconda 19.30.5-1 exception report
Traceback (most recent call first):
  File "/usr/lib/python2.7/site-packages/pyanaconda/ui/gui/spokes/source.py", line 581, in gtk_action_1
    self._autodetectLabel.set_text(_("Label: %s") % self._cdrom.format.label or "")
  File "/usr/lib/python2.7/site-packages/pyanaconda/ui/gui/utils.py", line 52, in _idle_method
    ret = func(*args)
AttributeError: 'DeviceFormat' object has no attribute 'label'

Version-Release number of selected component:
anaconda-19.30.5-1

Additional info:
reporter:       libreport-2.1.4
cmdline:        /usr/bin/python  /sbin/anaconda
cmdline_file:   inst.repo=nfs:nfs.englab.brq.redhat.com:/pub/fedora/fedora-alt/stage/19-TC3/Fedora/i386/iso/Fedora-19-TC3-i386-DVD.iso initrd=F19/TC3/i386/initrd.img ks=http://www.stud.fit.vutbr.cz/~xsedla85/default.ks BOOT_IMAGE=F19/TC3/i386/vmlinuz 
executable:     /sbin/anaconda
hashmarkername: anaconda
kernel:         3.9.4-301.fc19.i686
product:        Fedora
release:        Cannot get release name.
type:           anaconda
version:        19-TC3

Truncated backtrace:
Traceback (most recent call last):
  File "/usr/lib/python2.7/site-packages/pyanaconda/ui/gui/utils.py", line 52, in _idle_method
    ret = func(*args)
  File "/usr/lib/python2.7/site-packages/pyanaconda/ui/gui/spokes/source.py", line 581, in gtk_action_1
    self._autodetectLabel.set_text(_("Label: %s") % self._cdrom.format.label or "")
AttributeError: 'DeviceFormat' object has no attribute 'label'
Comment 1 Jan Sedlák 2013-06-18 05:57:40 EDT
Created attachment 762443 [details]
File: anaconda-tb
Comment 2 Jan Sedlák 2013-06-18 05:57:45 EDT
Created attachment 762444 [details]
File: anaconda.log
Comment 3 Jan Sedlák 2013-06-18 05:57:51 EDT
Created attachment 762445 [details]
File: backtrace
Comment 4 Jan Sedlák 2013-06-18 05:57:55 EDT
Created attachment 762446 [details]
File: environ
Comment 5 Jan Sedlák 2013-06-18 05:57:59 EDT
Created attachment 762447 [details]
File: ifcfg.log
Comment 6 Jan Sedlák 2013-06-18 05:58:03 EDT
Created attachment 762448 [details]
File: ks.cfg
Comment 7 Jan Sedlák 2013-06-18 05:58:08 EDT
Created attachment 762449 [details]
File: lsblk_output
Comment 8 Jan Sedlák 2013-06-18 05:58:12 EDT
Created attachment 762450 [details]
File: nmcli_dev_list
Comment 9 Jan Sedlák 2013-06-18 05:58:16 EDT
Created attachment 762451 [details]
File: packaging.log
Comment 10 Jan Sedlák 2013-06-18 05:58:21 EDT
Created attachment 762452 [details]
File: program.log
Comment 11 Jan Sedlák 2013-06-18 05:58:29 EDT
Created attachment 762453 [details]
File: storage.log
Comment 12 Jan Sedlák 2013-06-18 05:58:33 EDT
Created attachment 762454 [details]
File: syslog
Comment 13 Brian Lane 2013-06-21 19:47:36 EDT
Fixed in commit 4015a5c on master only.
Comment 14 Corey Ashford 2013-10-25 15:51:26 EDT
Installing F19 ISO using qemu-system-ppc64 -serial null -monitor nulll -m 2048 -cpu 970fx -M mac99 -drive file=disk.img,if=virtio,index=0 -cdrom=Fedora-19-ppc64-DVD.iso -net nic,macaddr=52.54.00.11.22.33,model=virtio -net tap -kernel vmlinux (from the DVD iso) -initrd initrd.img (also from the DVD iso)

After selecting North American English, I get to this crash.

cmdline:        /usr/bin/python  /sbin/anaconda
cmdline_file:   
hashmarkername: anaconda
kernel:         3.9.5-301.fc19.ppc64
package:        anaconda-19.30.13-1
product:        Fedora
reason:         AttributeError: 'DeviceFormat' object has no attribute 'label'
release:        Cannot get release name.
version:        19

Note You need to log in before you can comment on or make changes to this bug.